#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_TIMER_CREATE)]
fn sys_timer_create(clock_id: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TIMER_BIND)]
fn sys_timer_bind(timer: u32, chan: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TIMER_UNBIND)]
fn sys_timer_unbind(timer: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TIMER_SET)]
fn sys_timer_set(timer: u32, flags: usize, initial: usize, interval: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TIMER_CLOSE)]
fn sys_timer_close(timer: u32) -> isize {
    ERR_NOSYS
}
